##==============================================================
##                            6
##==============================================================
 library(splancs)
 library(orloca)
 data(cardiff)
 xy <- csr(cardiff$poly, 100)
 z <- runif(100, min = 1, max = 10)
 o <- loca.p(x = xy[, 1], y = xy[, 2], w = z)
##==============================================================
 plot(cardiff$poly, type = "l")
 cols <- heat.colors(10)
 points(o@x, o@y, col = cols[round(o@w)], pch = 19)
 legend(86, 40, as.character(1:10), col = cols, pch = 19, 
     title = "ѐl", cex = 0.8, bty = "n")
##==============================================================
 pt <- zsummin(o)
##==============================================================
 xyw <- as.data.frame(o)
 plot(cardiff$poly, type = "l")
 apply(xyw, 1, function(x) {
     arrows(x[2], x[3], pt[1], pt[2], col = "red", lwd = x[1], 
         length = 0.1)
 })
 points(pt[1], pt[2], pch = 19, col = "blue")
##==============================================================
