##==============================================================
##                            1
##==============================================================
 library(maptools)
 f <- system.file("shapes/sids.shp",package="maptools")[1]
 f
##==============================================================
 getinfo.shape(f)
 map <- readShapeSpatial(f)
##==============================================================
 library(gmt)
 gmt(par = 'PAPER_MEDIA A4+', file = "test.eps")
 cmd <- '-R-30/330/-90/90 -Jq150/0.03c -Ba30g30 -G100 -S255 -A5000 -P -Dc'
 pscoast(cmd)
 psclose(trailer = FALSE)
##==============================================================
 library(maptools)
 f <- system.file("shapes/sids.shp", package = "maptools")[1]
 pj <- CRS("+proj=longlat +ellps=clrk66")
 map <- readShapeSpatial(f, proj4string = pj)
 plot(map, axes = TRUE)
 title(main = "čm[XJCiBinWnj", 
     xlab = "Longitude", ylab = "Latitude")
##==============================================================
 library(rgdal)
 pj2 <- CRS("+proj=utm +zone=17 +ellps=WGS84 +units=km")
 map2 <- spTransform(map, pj2)
 plot(map2, axes = TRUE, xlab = "Easting (km)", ylab = "Northing (km)")
 title(main = "čm[XJCiB(UTM zone 17)", 
     xlab = "Easting (km)", ylab = "Northing (km)")
##==============================================================
 pj3 <- CRS("+proj=lcc +lat_1=40 +lon_0=-95 +datum=NAD27 +units=km")
 map3 <- spTransform(map2, pj3)
